Debian Bug report logs - #447257
lintian: deb-data-member-wrongly-compressed is outdated?

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Lars Wirzenius <liw@iki.fi>

Date: Fri, 19 Oct 2007 12:30:02 UTC

Severity: normal

Fixed in version lintian/1.23.37

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#447257; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@iki.fi>
To: debian bugs <submit@bugs.debian.org>
Subject: lintian: deb-data-member-wrongly-compressed is outdated?
Date: Fri, 19 Oct 2007 15:29:08 +0300
Package: lintian

http://lintian.debian.org/reports/Tdeb-data-member-wrongly-compressed.html

deb-data-member-wrongly-compressed
        The binary package contains a data member not compressed with
        gzip. From dpkg-dev 1.11 on, you can configure the way the data
        tarball is compressed. Though this is possible, you are not
        allowed to use it before dpkg 1.11 (or later) enters stable.

As far as I can see, etch (current stable) contains 1.13.25 (see
http://packages.debian.org/stable/admin/dpkg), so the lintian error
should now be out of date and could be deleted. Right?

-- 
You need fewer comments, if you choose your names carefully.





Tags added: pending Request was from www-data <www-data@wolffelaar.nl> to control@bugs.debian.org. (Thu, 29 Nov 2007 20:30:03 GMT) Full text and rfc822 format available.

Message sent on to Lars Wirzenius <liw@iki.fi>:
Bug#447257. Full text and rfc822 format available.

Message #10 received at 447257-submitter@bugs.debian.org (full text, mbox):

From: www-data <www-data@wolffelaar.nl>
To: control@bugs.debian.org, 447257-submitter@bugs.debian.org
Subject: Lintian bugs fixed in revision r996
Date: Thu, 29 Nov 2007 21:24:32 +0100
package lintian
# Fixed in r996 by he
tag 447257 + pending
thanks

These bugs are fixed in revision 996 by he
Log message:
* checks/deb-format:
  + [HE] Remove, not needed any more. (Closes: #447257)






Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 447257-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 447257-close@bugs.debian.org
Subject: Bug#447257: fixed in lintian 1.23.37
Date: Wed, 05 Dec 2007 01:47:02 +0000
Source: lintian
Source-Version: 1.23.37

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_1.23.37.dsc
  to pool/main/l/lintian/lintian_1.23.37.dsc
lintian_1.23.37.tar.gz
  to pool/main/l/lintian/lintian_1.23.37.tar.gz
lintian_1.23.37_all.deb
  to pool/main/l/lintian/lintian_1.23.37_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 447257@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 04 Dec 2007 16:43:13 -0800
Source: lintian
Binary: lintian
Architecture: source all
Version: 1.23.37
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 lintian    - Debian package checker
Closes: 119097 357838 409109 409138 437959 441636 444642 447257 447718 448207 448652 448677 449257 451668 451689 452316 452336 452804 452839 453302 453416 453417 453779 454239
Changes: 
 lintian (1.23.37) unstable; urgency=low
 .
   The "Policy 3.7.3" release.
 .
   * checks/binaries:
     + [HE] Fix RegEx to re-enable 'binary-in-etc' and
            'arch-dependent-file-in-usr-share' checks. (Closes: #452336)
     + [HE] When checking that a lib is linked against libc, search for
            libc.so, not any library beginning with libc. Thanks for
            the bug and patch to Ruben Porras <nahoo82@gmail.com>. (Closes:
            #448652)
     + [RA] Ignore the gf suffix from the gfortran migration when checking
       whether the package name matches the SONAME.  Thanks, Kevin
       B. McCarty.  (Closes: #448207)
   * checks/changelog-file{.desc,}:
     + [RA] Check that the latest changelog entry has a later version than
       the previous entry.  Thanks, Thijs Kinkhorst.  (Closes: #449257)
   * checks/common_data.pm:
     + [RA] Add Dm-Upload-Allowed as a control field.  (Closes: #453779)
   * checks/control-file{.desc,}:
     + [RA] Diagnose stronger dependencies that imply weaker dependencies,
       such as the same dependency in both Depends and Recommends or
       Recommends and Suggests.  Thanks, Joerg Jaspert.  (Closes: #453302)
     + [RA] Upgrade no-section-field-for-source to warning at the request
       of Joerg Jaspert.
   * checks/control-files:
     + [RA] Add symbols as a known control file for debs and udebs.
   * checks/copyright-file:
     + [HE] Check that encoding of copyright file is UTF-8. Patch by
            gregor herrmann <gregor+debian@comodo.priv.at>. (Closes: #451689)
     + [HE] Add warning copyright-contains-dh_make-todo-boilerplate
            if the maintainer left the dh_make boilerplate in the
            copyright file. Based on patch by Cyril Brulebois
            <cyril.brulebois@enst-bretagne.fr>. (Closes: #448677)
     + [RA] Check for the complete GFDL included in the copyright file and
       expand copyright-file-contains-full-gpl-license to look for GPL v3
       references.  Also check for correct references to common-licenses
       for the GFDL and LGPL.
   * checks/deb-format:
     + [HE] Remove, not needed any more. (Closes: #447257)
   * checks/debconf:
     + [HE] Explicitly allow the phrase "no longer" in boolean debconf
       questions. (Closes: #447718)
   * checks/description.desc:
     + [RA] Upgrade the legacy Homepage tag to a warning.
   * checks/fields:
     + [HE] Add 'doc-package-should-be-section-doc',
            'python-package-should-be-section-python',
            'perl-package-should-be-section-perl'. Ideas shamelessy
            stolen from linda. (Closes: #452839)
     + [RA] Allow Python dependencies in Build-Depends when using another
       variant for calling Python in the clean target.  Thanks, Bernd
       Zeimetz.  (Closes: #444642)
   * checks/files{.desc,}:
     + [HE,RA] Add 'package-contains-empty-directory' check, but ignore
       dirs in /var and /etc and handle /usr/lib/perl5 and /usr/share/perl5
       directories separately with a lower priority level since they're
       very common.  (Closes: #452316, #357838)
     + [HE] Add checks for game packages that contain no game executables
            (package-section-games-but-contains-no-game) or that contain
            anything in usr/bin at all, which is usually a mistake.
            (package-section-games-but-contains-no-game). (Closes: #451668)
     + [RA] Downgrade symlink-should-be-relative to a warning since it's a
       Policy should.  Thanks, Thijs Kinkhorst.  (Closes: #454239)
   * checks/lintian.desc:
     + [RA] Add critical as a recognized urgency.
   * checks/patch-systems:
     + [HE] Add complete new check script, intended to check for usual
            problems when using patch systems. Start with three
            checks for common dpatch problems. Idea loosely based on
            patch by Carl F├╝rstenberg <azatoth@gmail.com>. (Closes: #437959)
   * checks/po-debconf.desc:
     + [RA] not-using-po-debconf is now an error per Policy section 3.9.1.
   * checks/rules:
     + [HE] Implement 'binary-arch-rules-but-pkg-is-arch-indep', checking
            for rules in binary-arch when the package is arch: all.
            (Closes: #409109, #119097)
     + [HE] Implement 'desktop-file-but-no-dh_desktop-call', checking for
            missing dh_desktop calls when .desktop files are installed in
            a debhelperized package. (Closes: #409138)
   * checks/scripts:
     + [HE] Allow packages to drop snippets into /etc/csh/login.d
            without a dependency on csh. Files there should also
            be allowed to have csh in the shebang line. (Closes: #453417)
     + [HE] Allow packages to drop snippets into /etc/fish.d/ without
            a dependecy on fish. (Closes: #453416)
     + [RA] Remove possible-non-posix-code-in-maintainer-script entirely.
       Debian Policy now allows local and test -a/-o specifically and this
       is pointless portability.
   * checks/standards-version:
     + [RA] 3.7.3 is now the current Standards-Version and anything older
       than 3.6.2 is ancient.
 .
   * debian/control:
     + [TK] Add Vcs-* fields to point to Lintian's repository.
     + [RA] Update standards version to 3.7.3.
   * debian/dirs:
     + [RA] Stop creating empty /usr/share/lintian/{overrides,info}
       directories.  The latter is no longer used and the former is shipped
       with packages that include overrides.
 .
   * frontend/lintian:
     + [RA] Add critical as a recognized urgency.
     + [RA] Diagnose malformed override entries; don't just ignore them.
     + [RA] Fix some odd formatting.
     + [RA] Display a summary of overridden tags as an N: output line.
       Requested by Steve McIntyre.  (Closes: #452804)
 .
   * man/lintian.1:
     + [RA] Be clearer about what files lintian takes as arguments; in
       particular, mention that source packages are checked by providing
       the .dsc file as an argument.  (Closes: #441636)
     + [RA] Fix a slight spacing problem with the --color flag.
     + [RA] Remove mention of unused /usr/share/lintian/info directory.
 .
   * lib/DebVersions.pm:
     + [RA] Remove.  This isn't used by anything and would produce
       incorrect results (it doesn't understand ~), and Dep.pm provides
       version comparison routines that use dpkg.
   * lib/Tags.pm:
     + [RA] Keep statistics on overrides by severity.
 .
   * reporting/html_reports:
     + [RA] Change the layout of the per-maintainer lintian pages.  Now,
       each report will be in /reports/maintainer/<email>.html where
       <email> is the maintainer's e-mail address with unsafe characters
       replaced by _.  This should allow better links from the QA pages.
       Thanks, Stefano Zacchiroli.
 .
   * unpack/list-srcpkg:
     + [RA] Escape ; and newline characters in all package fields before
       writing them to the index (uncovered when someone accidentally
       appended a package description to Standards-Version).
Files: 
 6f28ee4ef7a8bd062059db5d75a8da48 904 devel optional lintian_1.23.37.dsc
 651b32c29690a98831faa9deefe3c7c1 357269 devel optional lintian_1.23.37.tar.gz
 ec9bced3311d7ee38cf2804f25124244 301954 devel optional lintian_1.23.37_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHVgIa+YXjQAr8dHYRArygAJ9M7+uv9gilsPtgIRQnijy4eeb2KgCgrJFS
WYrlSQ+dTNMGLboKV2xeYj0=
=/IjV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 03 Jan 2008 07:37:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:32:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.